The officially official Devuan Forum!

You are not logged in.

#1 2022-12-27 08:49:12

l3u
Member
Registered: 2022-07-10
Posts: 38  

[SOLVED] Brother's BrGenML1 driver doesn't work

Hi all :-)

I'm migrating a Gentoo machine to Devuan.

How can I use Brother's BrGenML1 printer driver?

I first tried to manually install it by creating a deb package from Gentoo's slightly patched BrGenML1 package. This one works without a problem on Gentoo, and I also ported the very same package to Artix Linux where I also can use it without a problem.

On Devuan, this one sadly does not work. After having added the printer the same way I did on Gentoo and Artix, I can't print: Nothing happens, and the CUPS error log says:

W [27/Dec/2022:09:02:17 +0100] [Job 8] Grayscale/monochrome printing requested for this job but Poppler is not able to convert to grayscale/monochrome PostScript.
W [27/Dec/2022:09:02:17 +0100] [Job 8] Use \"pdftops-renderer\" option (see cups-filters README file) to use Ghostscript or MuPDF for the PDF -> PostScript conversion.

The second line always appears when e.g. printing the CUPS test page. I googled for the first line's error message and hit some Debian bug report, but I can't really figure out what's wrong here.

I also tried to use Brother's upstream brgenml1lpr and brgenml1cupswrapper packages (the Gentoo package is based on), with the same result.

Does anybody use BrGenML1 who can help me?

Thanks in advance for all help!

Offline

#2 2022-12-30 09:40:59

l3u
Member
Registered: 2022-07-10
Posts: 38  

Re: [SOLVED] Brother's BrGenML1 driver doesn't work

Does nobody use this or have an idea about this? This actually currently stops me from stopping playing around with Devuan in a virtual machine and really doing the migration … :-(

Offline

#3 2022-12-30 10:04:16

andyprough
Member
Registered: 2019-10-19
Posts: 305  

Re: [SOLVED] Brother's BrGenML1 driver doesn't work

I don't have one, but I do see that this Solus build page points as source toward a Brother page that has .deb's - https://github.com/el-christianito/brother-brgenml1
If the Solus person is correct, maybe those .deb's can help you.

This is just the result of my quick internet search, so if that doesn't help I don't know what will.

Offline

#4 2022-12-30 12:11:49

l3u
Member
Registered: 2022-07-10
Posts: 38  

Re: [SOLVED] Brother's BrGenML1 driver doesn't work

l3u wrote:

I also tried to use Brother's upstream brgenml1lpr and brgenml1cupswrapper packages (the Gentoo package is based on), with the same result.

Those ARE the linked .deb packages :-(

Last edited by l3u (2022-12-30 12:12:28)

Offline

#5 2022-12-30 12:48:27

l3u
Member
Registered: 2022-07-10
Posts: 38  

Re: [SOLVED] Brother's BrGenML1 driver doesn't work

Yay, I could get it to work :-) The printer driver is 32 bit. So I had to install libc6-i386, and the Gentoo/Artix ported package worked!

The CUPS error log is a bit confusing. Nowhere a hint that the missing 32 bit stuff was causing this …

Offline

#6 2022-12-30 21:06:20

andyprough
Member
Registered: 2019-10-19
Posts: 305  

Re: [SOLVED] Brother's BrGenML1 driver doesn't work

Glad you could fix it! I think if you grab the 'driver install tool' on the top of the page with the wrappers that it has a script that will figure the 32-bit part out for you. I can't recall for sure though.

Offline

Board footer